| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMCDATASection Class Reference

CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup. More...

`#include <DOMCDATASection.hpp>`

Inheritance diagram for DOMCDATASection

[legend]
Collaboration diagram for DOMCDATASection:

[legend]
List of all members.

## Public Methods

Destructor
virtual | ~DOMCDATASection ()
| Destructor.

## Protected Methods

Hidden constructors
| DOMCDATASection ()
| DOMCDATASection (const DOMCDATASection &)
DOMCDATASection& | operator= (const DOMCDATASection &)

## Detailed Description

CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup.

The only delimiter that is recognized in a CDATA section is the "]]&gt;" string that ends the CDATA section. CDATA sections cannot be nested. Their primary purpose is for including material such as XML fragments, without needing to escape all the delimiters.

The `data` attribute of the `DOMText` node holds the text that is contained by the CDATA section. Note that this may contain characters that need to be escaped outside of CDATA sections and that, depending on the character encoding ("charset") chosen for serialization, it may be impossible to write out some characters as part of a CDATA section.

The `DOMCDATASection` interface inherits from the `DOMCharacterData` interface through the `DOMText` interface. Adjacent `DOMCDATASection` nodes are not merged by use of the `normalize` method of the `DOMNode` interface. Because no markup is recognized within a `DOMCDATASection`, character numeric references cannot be used as an escape mechanism when serializing. Therefore, action needs to be taken when serializing a `DOMCDATASection` with a character encoding where some of the contained characters cannot be represented. Failure to do so would not produce well-formed XML.One potential solution in the serialization process is to end the CDATA section before the character, output the character using a character reference or entity reference, and open a new CDATA section for any further characters in the text node. Note, however, that some code conversion libraries at the time of writing do not return an error or exception when a character is missing from the encoding, making the task of ensuring that data is not corrupted on serialization more difficult.

See also the Document Object Model (DOM) Level 2 Core Specification.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

DOMCDATASection::DOMCDATASection ( | )`[protected]`

DOMCDATASection::DOMCDATASection ( | const DOMCDATASection & )`[protected]`

DOMCDATASection::~DOMCDATASection ( | )`[virtual]`

| Destructor.

## Member Function Documentation

DOMCDATASection & DOMCDATASection::operator= ( | const DOMCDATASection & )`[protected]`

The documentation for this class was generated from the following file:

- DOMCDATASection.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.